Get All Market Positions
curl --request GET \
--url https://sandbox.api.btdx.io/wallets/{id}/positions-all \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/wallets/{id}/positions-all"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/wallets/{id}/positions-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"positions": [
{
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"exposures": {}
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
]
}{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"positions": [
{
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"exposures": {}
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
]
}{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"positions": [
{
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"exposures": {}
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
]
}{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"positions": [
{
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"exposures": {}
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
]
}Wallets
Get All Market Positions
Fetch all market positions for the specified wallet
GET
/
wallets
/
{id}
/
positions-all
Get All Market Positions
Headers
Header with the accessToken for the current session
Path Parameters
wallet id
Query Parameters
Filter market positions by settlement status. Active returns positions where settlement has not happened yet; Settled returns positions that have been settled. Defaults to Active
Available options:
Active, Settled Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
⌘I